<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full flex items-center justify-between gap-4">
  <div class="flex items-center gap-4 grow">
    <app-type-icon icon="fa fa-file-signature" color="#8781CA"></app-type-icon>
    <div class="text-text-500 text-base">
      <p-skeleton *ngIf="loadingTarget" height="21px" width="152px"></p-skeleton>
      <div *ngIf="!loadingTarget" class="flex items-start gap-1">
        <i class="fa fa-cube text-text-300 mt-1"></i>
        <div class="text-text-300 shrink-0">target:</div>
        <div class="font-semibold truncate max-w-64 shrink-0" [innerHTML]="target"></div>
      </div>
      <div class="mt-2">
        <div class="text-sm mt-0.5 flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="fa fa-arrow-right-arrow-left" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">type:</div>
          </div>
          <div class="truncate max-w-64 shrink-0">{{ contract.accessType }}</div>
        </div>
        <div class="text-sm mt-1 flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="fa fa-circle-nodes" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">assignee:</div>
          </div>
          <p-skeleton *ngIf="loadingAssignee" height="12px" width="112px"></p-skeleton>
          <div *ngIf="!loadingAssignee" class="truncate max-w-64 shrink-0" [innerHTML]="assignee"></div>
        </div>
        <div class="text-sm mt-0.5 flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="fa fa-signature" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">signed by:</div>
          </div>
          <p-skeleton *ngIf="loadingAssigner" height="36px" width="124px"></p-skeleton>
          <div *ngIf="!loadingAssigner" class="flex flex-col shrink-0">
            <div class="truncate max-w-64 shrink-0" [innerHTML]="assigner"></div>
            <div class="truncate max-w-64 shrink-0" *ngIf="assignerEmail" [innerHTML]="assignerEmail"></div>
          </div>
        </div>
      </div>
      <div class="mt-4 flex items-center gap-1">
        <div
          *ngIf="readPermission"
          class="flex items-center gap-2 text-white bg-skyBlue px-2 py-0.5 rounded-sm text-sm font-semibold"
        >
          <i class="pi pi-download" style="font-size: 0.8rem"></i>
          <div>Read</div>
        </div>
        <div
          *ngIf="writePermission"
          class="flex items-center gap-2 text-white bg-grassGreen px-2 py-0.5 rounded-sm text-sm font-semibold"
        >
          <i class="pi pi-upload" style="font-size: 0.8rem"></i>
          <div>Write</div>
        </div>
        <div
          *ngIf="subscribePermission"
          class="flex items-center gap-2 text-white bg-darkOrange px-2 py-0.5 rounded-sm text-sm font-semibold"
        >
          <i class="pi pi-sync" style="font-size: 0.8rem"></i>
          <div>Subscribe</div>
        </div>
      </div>
    </div>
  </div>
  <div class="flex items-center gap-4">
    <p-tag *ngIf="isNew" value="New" severity="info"></p-tag>
  </div>
</div>
